Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | List of all members
eZ\Bundle\EzPublishDebugBundle\Collector\EzPublishCoreCollector Class Reference
Inheritance diagram for eZ\Bundle\EzPublishDebugBundle\Collector\EzPublishCoreCollector:

## Public Member Functions
| __construct ()
| getName ()
| addCollector (DataCollectorInterface $collector, $panelTemplate=null, $toolbarTemplate=null)
| getCollector ($name)
| getAllCollectors ()
| getToolbarTemplate ($collectorName)
| Returns toolbar template for given collector name. More...
| getPanelTemplate ($collectorName)
| Returns panel template to use for given collector name. More...
| reset ()
| {} More...

## Detailed Description

Definition at line 15 of file EzPublishCoreCollector.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishDebugBundle\Collector\EzPublishCoreCollector::__construct | ( |  | ) |

Definition at line 17 of file EzPublishCoreCollector.php.

References eZ\Bundle\EzPublishDebugBundle\Collector\EzPublishCoreCollector\reset().

## Member Function Documentation

## ◆ addCollector()

eZ\Bundle\EzPublishDebugBundle\Collector\EzPublishCoreCollector::addCollector | ( | DataCollectorInterface | $collector,
|  |  | $panelTemplate = `null`,
|  |  | $toolbarTemplate = `null`
| ) |  |

Parameters

  DataCollectorInterface | $collector |

Definition at line 38 of file EzPublishCoreCollector.php.

## ◆ getAllCollectors()

eZ\Bundle\EzPublishDebugBundle\Collector\EzPublishCoreCollector::getAllCollectors | ( |  | ) |

Returns
  DataCollectorInterface[]

Definition at line 65 of file EzPublishCoreCollector.php.

## ◆ getCollector()

eZ\Bundle\EzPublishDebugBundle\Collector\EzPublishCoreCollector::getCollector | ( |  | $name | ) |

Parameters

  string | $name | Name of the collector

Returns
  DataCollectorInterface

Exceptions

Definition at line 53 of file EzPublishCoreCollector.php.

## ◆ getName()

eZ\Bundle\EzPublishDebugBundle\Collector\EzPublishCoreCollector::getName | ( |  | ) |

Definition at line 30 of file EzPublishCoreCollector.php.

## ◆ getPanelTemplate()

eZ\Bundle\EzPublishDebugBundle\Collector\EzPublishCoreCollector::getPanelTemplate | ( |  | $collectorName | ) |

Returns panel template to use for given collector name.

Parameters

  string | $collectorName | Name of corresponding collector.

Returns
  string

Definition at line 93 of file EzPublishCoreCollector.php.

## ◆ getToolbarTemplate()

eZ\Bundle\EzPublishDebugBundle\Collector\EzPublishCoreCollector::getToolbarTemplate | ( |  | $collectorName | ) |

Returns toolbar template for given collector name.

Parameters

  string | $collectorName | Name of corresponding collector.

Returns
  string

Definition at line 77 of file EzPublishCoreCollector.php.

## ◆ reset()

eZ\Bundle\EzPublishDebugBundle\Collector\EzPublishCoreCollector::reset | ( |  | ) |

{}

Definition at line 105 of file EzPublishCoreCollector.php.

Referenced by eZ\Bundle\EzPublishDebugBundle\Collector\EzPublishCoreCollector\__construct().

The documentation for this class was generated from the following file:

- EzPublishCoreCollector.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.